---
apiVersion: 1.0.0
kind: Plugin
metadata:
  name: Dynamics 365 Service
  description: Dynamics 365 Service form the Reekoh IoT Platform
  icon: ./assets/dynamics365-service.png
  signupLink:
  type: Service
  price: 0
  tags:
    - microsoft
    - dynamics 365
    - azure
  release:
    version: 1.0.1
    image: barhead/dynamics365-service
    pluginRootDir: ./
    documentation: ./README.md
    notes: ./release-notes/RELEASE-v1.0.1.md
    config:
        tenant:
          label: "CRM tenant"
          type: String
          required: true
          help: "CRM d365 tenant e.g. http://contoso.crm6.dynamics.com/"
          maxLength: 1000
        entitySchema:
          label: "Entity Schema"
          type: String
          required: true
          help: "CRM Entity Schema"
          maxLength: 1000
        odataMethodKey:
          label: "MS Odata Key/Property"
          type: String
          required: false
          help: "The Key/Property containing the Accepted MS Odata query. Default: odata"
          default: "odata"
          maxLength: 1000
